Howdy, Stranger!

It looks like you're new here. If you want to get involved, click one of these buttons!

WP 3.4.2: Get Recent Posts error

edited November 2012 in MarsEdit

I keep getting a "get recent posts error" when MarsEdit connects to my WordPress blog. The error message is this:

> Can’t get recent posts for because the server reported an error: server error. requested method metaWeblog.getRecentPosts does not exist.

I checked the settings for my site and everything looks good. API Endpoint URL is - which is perfect. Everything else is also fine.

I have also checked whether I have XML-RPC activated - I do. I use several Plugins but to my knowledge non of these interferes with XML-RPC.

Could you point me into a direction on where to look next to find out what is blocking communication between MarsEdit and my site?

Thank you,


  • Accepted Answer
    Hi Michael - it seems very unusual to get a message like this, and my first suspicion is that it's one of your plugins. The first thing I would do if possible is simply disable all the plugins and see if that fixes the problem. If so, we know where to look. I would be particularly wary of any plugin that is intended improve the security of your site. These often muck around with the API support that MarsEdit depends upon.
  • Michael updated me directly through email that the problem was indeed attributable to a plugin he had installed.
Sign In or Register to comment.